### Method

# EDataCal CalBackend ref_proxy_resolver

since: 3.12

#### Declaration [src]

    GProxyResolver*
    e_cal_backend_ref_proxy_resolver (
      ECalBackend* backend
    )

#### Description [src]

Returns the `GProxyResolver` for `backend` (if applicable), as indicated by the `ESourceAuthentication:proxy-uid` of `backend`‘s `EBackend:source` or one of its ancestors.

The returned `GProxyResolver` is referenced for thread-safety and must be unreferenced with `g_object_unref()` when finished with it.

Available since: 3.12

#### Return value

Type: `GProxyResolver`

A `GProxyResolver`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.